/* This file holds the various bits of the config file for X.Org 6.8.2+ */

#define FONTPATH	"/usr/share/fonts/"
#define MAX_VIDEO_LEN	2048
#define TRUE		1
#define FALSE		0
#define	XAC_VER		"0.2.2"

static char *header =
"# This file was generated by Xorgautoconfig v" XAC_VER ".\n"
"Section \"ServerLayout\"\n"
"	Identifier	\"X.Org Configured\"\n"
"	Screen		0  \"Screen0\" 0 0\n"
"	InputDevice	\"Mouse0\" \"CorePointer\"\n"
"	InputDevice	\"Keyboard0\" \"CoreKeyboard\"\n"
"EndSection\n"
"\n"
"Section \"Files\"\n"
"# Multiple FontPath entries are allowed (which are concatenated together),\n"
"# as well as specifying multiple comma-separated entries in one FontPath\n"
"# command (or a combination of both methods)\n\n";

static char *fontpath_xfs =
"# For X Font Server support, uncomment this and comment the other FontPaths\n"
"# Note that this is not required for most configurations\n"
"#       FontPath	\"unix/:-1\"\n";

static char *fontpath_gentoo =
"	FontPath	\"/usr/share/fonts/local\"\n"
"	FontPath	\"/usr/share/fonts/misc\"\n"
"	FontPath	\"/usr/share/fonts/75dpi/:unscaled\"\n"
"	FontPath	\"/usr/share/fonts/100dpi/:unscaled\"\n"
"	FontPath	\"/usr/share/fonts/Type1\"\n"
"	fontpath	\"/usr/share/fonts/TTF\"\n"
"	FontPath	\"/usr/share/fonts/CID\"\n"
"	FontPath	\"/usr/share/fonts/Speedo\"\n"
"	FontPath	\"/usr/share/fonts/75dpi\"\n"
"	FontPath	\"/usr/share/fonts/100dpi\"\n";

static char *modules_section_start =
"Section \"Module\"\n"
"	Load	\"extmod\"\n";

static char *modules_section_end =
"	Load	\"dri\"\n"
"	Load	\"dbe\"\n"
"	Load	\"record\"\n"
"	Load	\"glx\"\n"
"	Load	\"type1\"\n"
"	Load	\"freetype\"\n"
"EndSection\n\n";

static char *extensions_section =
"Section \"Extensions\"\n"
"# 	Option \"Composite\"	\"Disable\"	# Experimental\n"
"EndSection\n\n";

static char *serverflags_section =
"Section \"ServerFlags\"\n"
" 	Option 	\"blank time\"	\"10\"	# 10 minutes\n"
" 	Option 	\"standby time\"	\"20\"\n"
" 	Option 	\"suspend time\"	\"30\"\n"
" 	Option 	\"off time\"	\"60\"\n"
"### Uncomment this Server flag if X should not change resolutions.\n"
"### This is useful if mode changing crashes / corrupts the X server\n"
"#	Option  \"DisableVidModeExtensions\"\n"
"EndSection\n\n";

static char *inputdev_section =
"Section \"InputDevice\"\n"
"	Identifier	\"Keyboard0\"\n"
"	Driver		\"kbd\"\n";

static char *keyboard_linux_start =
"# Change \"XkbModel\" to \"macintosh_old\" if you are using\n"
"# the deprecated adb keycodes.\n"
"	Option		\"XkbModel\"	\"pc105\"\n"
"	Option		\"XkbLayout\"	\"";	

static char *keyboard_linux_end =
" 	Option 		\"XkbOptions\" 	\"compose:rwin\"\n"
"### Uncomment this if your layout uses nodeadkeys\n"
"	#Option		\"XkbVariant\"	\"nodeadkeys\"\n"
"EndSection\n\n";

static char *mouse_section = 
"Section \"InputDevice\"\n"
"	Identifier	\"Mouse0\"\n"
"	Driver   	\"mouse\"\n"
"	Option		\"CorePointer\"\n"
"	Option   	\"Protocol\" 	 \"auto\"\n"
"	Option		\"Device\"	 \"/dev/input/mice\"\n"
"EndSection\n\n";

static char *monitor_section =
"Section \"Monitor\"\n"
"	Identifier	\"Monitor0\"\n"
"	UseModes	\"Modes0\"\n"
"	ModelName	\"Monitor Model\"\n"
"	Option		\"DPMS\"\n";

static char *monitor_section_nomodes =
"Section \"Monitor\"\n"
"	Identifier	\"Monitor0\"\n"
"	ModelName	\"Monitor Model\"\n"
"	Option		\"DPMS\"\n";

static char *modes_section =
"EndSection\n\n"
"Section \"Modes\"\n"
"	Identifier	\"Modes0\"\n"
"\n"
"	# Generated\n";

static char *device_start =
"\n"
"EndSection\n\n"
"Section \"Device\"\n"
"	Identifier	\"Card0\"\n";

static char *driver_r128 =
"	### Available Driver options:\n"
"	Option \"DMAForXv\"	\"true\"  # Use DMA for XV, reduces CPU usage\n"
"					# Can cause stability problems\n"
"	#Option \"SWcursor\"	\"false\" # Use Software Cursor\n"
"	#Option \"NoAccel\"	\"false\" # Disable Hardware Acceleration\n"
"	#Option \"Display\"	\"FP\"	# Display mode for devices which\n"
"					# support Flat Panels.  Modes:\n"
"					# \"FP\" - Use Flat Panel\n"
"					# \"CRT\" - Use CRT\n"
"					# \"Mirror\" - Use both FP and CRT\n"
"	### See \"man r128\" for additional options\n"
"\n	### Warning: If your r128 has less than 10MB of ram, you will only be\n"
"	### 	     able to use dri in 16bit color.\n";

static char *driver_radeon =
"	### Available Driver options:\n"
"	Option \"BackingStore\" \"true\"  # Increases performance\n"
"	Option \"EnablePageFlip\" \"true\" # Increases performance\n"
"	#Option \"SWcursor\"	\"false\" # Use Software Cursor\n"
"	#Option \"NoAccel\"	\"false\" # Disable Hardware Acceleration\n"
"	#Option \"AGPMode\"	\"1\"	# Set AGP data transfer rate, DRI only\n"
"	#Option \"AGPFastWrite\" \"false\" # Use AGP Fast Write, DRI only\n"
"	#Option \"RenderAccel\" \"true\"  # Hardware acceleration\n"
"	#Option \"DCCMode\"	\"false\" # Use querried modes from monitor\n"
"	#Option \"MonitorLayout\" \"TMDS\" # Enable this for Apple DVI LCDs\n"
"	### See \"man radeon\" for additional options\n";

static char *driver_nv =
"	### Available Driver options:\n"
"	#Option \"HWcursor\"	\"true\"  # Use Hardware Cursor\n"
"	#Option \"NoAccel\"	\"false\" # Disable Hardware Acceleration\n"
"	### See \"man nv\" for additional options\n";

/* Generic options */
static char *driver_on_opts =
"	### Available Driver options are:\n"
"	#Option	\"SWcursor\"\n"
"	Option	\"HWcursor\"\n"
"	#Option	\"PciRetry\"\n"
"	#Option	\"NoAccel\"\n"
"	#Option	\"ShadowFB\"	\"true\"\n"
"	Option	\"fbdev\"	\"/dev/fb0\"\n";

static char *driver_off_opts =
"	### Available Driver options are:\n"
"	#Option	\"SWcursor\"\n"
"	#Option	\"HWcursor\"\n"
"	#Option	\"PciRetry\"\n"
"	#Option	\"NoAccel\"\n"
"	#Option	\"ShadowFB\"	\"true\"\n"
"	#Option	\"fbdev\"	\"/dev/fb0\"\n";

static char *screen_section =
"EndSection\n"
"\n"
"Section \"Screen\"\n"
"	Identifier	\"Screen0\"\n"
"	Device		\"Card0\"\n"
"	Monitor		\"Monitor0\"\n"
"	DefaultDepth	";

static char *dri_section =
"\n"
"Section \"DRI\"\n"
"	Group 0\n"
"	Mode 0666\n"
"EndSection\n";

static char *keymap_list =
"Available keymaps:\n"
"\tal\t\tAlbainian\n"
"\tam\t\tArmenian\n"
"\tar\t\tArabic\n"
"\taz\t\tAzerbaidjani\n"
"\tbe\t\tBelgian\n"
"\tben\t\tBengali\n"
"\tbg\t\tBulgarian\n"
"\tbr\t\tBrazilian\n"
"\tbs\t\tBosnian\n"
"\tby\t\tBelarusian\n"
"\tca\t\tCanadian\n"
"\tca_enhanced\tFrench Canadian\n"
"\tcz\t\tCzech\n"
"\tcz_qwerty\tCzech qwerty\n"
"\tczsk\t\tCzech and Slovak\n"
"\tde\t\tGerman\n"
"\tde_CH\t\tSwiss\n"
"\tdk\t\tDanish\n"
"\tdvorak\t\tDvorak\n"
"\tee\t\tEstonian\n"
"\tel\t\tHellenic\n"
"\tes\t\tSpanish\n"
"\tfi\t\tFinnish\n"
"\tfr\t\tFrench\n"
"\tfr_CH\t\tSwiss French\n"
"\tgb\t\tGreat Brittian\n"
"\tge_la\t\tGeorgian Latin Layout\n"
"\tge_ru\t\tGeorgian Russian Layout\n"
"\tguj\t\tGujarati\n"
"\tgur\t\tGurmukhi\n"
"\thr\t\tSlovenian\n"
"\thr_US\t\tCroatian-US\n"
"\thu\t\tHungarian\n"
"\thu_US\t\tHungarian-US\n"
"\thu_qwerty\tHungarian qwerty\n"
"\tie\t\tIrish\n"
"\til\t\tIsraelian\n"
"\til_phonetic\tIsraelian Phoentic\n"
"\tinet\t\tEAK Easy Access and Internet Keyboards\n"
"\tir\t\tIranian\n"
"\tis\t\tIslandic\n"
"\tit\t\tItalian\n"
"\tiu\t\tInuktitut\n"
"\tjp\t\tJapanese\n"
"\tjan\t\tKannada\n"
"\tla\t\tLatin American\n"
"\tlao\t\tLao\n"
"\tlt\t\tLithuanian\n"
"\tlt_a\t\tLithuanian azerty\n"
"\tlt_p\t\tLithuanian qwerty\n"
"\tlt_std\t\tLithuanian Standard\n"
"\tlv\t\tLatvian\n"
"\tmk\t\tMacedonian\n"
"\tml\t\tMalayalam\n"
"\tmm\t\tBurmese\n"
"\tmng\t\tMongolian Cryillic\n"
"\tmt\t\tMaltese\n"
"\tmt_us\t\tMaltese-US\n"
"\tnl\t\tNederland\n"
"\tno\t\tNorwegian\n"
"\togham\t\tOgham\n"
"\tori\t\tOriya\n"
"\tpl\t\tPolish\n"
"\tpl2\t\tPolish qwertz\n"
"\tpt\t\tPortuguese\n"
"\tro\t\tRomanian\n"
"\tru\t\tRussian\n"
"\tse\t\tSwedish\n"
"\tse_FI\t\tFinland\n"
"\tse_NO\t\tNorway\n"
"\tse_SE\t\tSweden\n"
"\tsi\t\tSlovenian\n"
"\tsk\t\tSlovak\n"
"\tsk_qwerty\tSlovak qwerty\n"
"\tsr\t\tSerbian\n"
"\tsyr\t\tSyriac\n"
"\tsyr_phonetic\tSyriac Phonetic\n"
"\ttel\t\tTelugu\n"
"\tth\t\tThai Kedmanee\n"
"\tth_pat\t\tThai Pattachote\n"
"\tth_tis\t\tThai TIS-820.2538\n"
"\ttj\t\tTajik\n"
"\ttml\t\tTamil\n"
"\ttr\t\tTurkish\n"
"\ttr_f\t\tTurkish F\n"
"\tua\t\tUkrainian\n"
"\tus\t\tUS\n"
"\tuz\t\tUzbek\n"
"\tvn\t\tVietnamese\n"
"\tyu\t\tYugoslav\n"
"\nNote that if no map is specified, us will be used\n";
